SCSI_IOCTL(9)

NAME
scsi_ioctl - Dispatch ioctl to scsi device

SYNOPSIS

int scsi_ioctl(struct scsi_device * sdev, int cmd, void __user * arg);

ARGUMENTS

sdev
    scsi device receiving ioctl

cmd
    which ioctl is it

arg
    data associated with ioctl

DESCRIPTION

The scsi_ioctl function differs from most ioctls in that it does not take a major/minor number as the dev field. Rather, it takes a pointer to a struct scsi_device.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT